Class PhusionPassenger::NativeSupportLoader |
In: | lib/phusion_passenger/native_support.rb
Parent: | Object

Methods

- start
- supported?

Public Instance methods
start()

[ show source ]

        # File lib/phusion_passenger/native_support.rb, line 31
    31:         def start
    32:                 require 'phusion_passenger'
    33:                 load_from_source_dir ||
    34:                 load_from_load_path ||
    35:                 load_from_home ||
    36:                 compile_and_load
    37:         end

supported?()

[ show source ]

        # File lib/phusion_passenger/native_support.rb, line 27
    27:         def supported?
    28:                 return !defined?(RUBY_ENGINE) || RUBY_ENGINE == "ruby" || RUBY_ENGINE == "rbx"
    29:         end